import BaseCurdApi from './BaseCurdApi'

class PrintQueueApi extends BaseCurdApi {
    cancelPrint = (id) => this.api({
      url: `${this.basePath}/cancel/${id}`,
      method: 'POST'
    })

    pausePrint = (id) => this.api({
      url: `${this.basePath}/pause/${id}`,
      method: 'POST'
    })

    continuePrint = (id) => this.api({
      url: `${this.basePath}/continue/${id}`,
      method: 'POST'
    })

    allContinuePrint = () => this.api({
      url: `${this.basePath}/continue/all`,
      method: 'POST'
    })

    constructor () {
      super('/print/management')
    }
}

export default new PrintQueueApi()
