import BaseCurdApi from './BaseCurdApi'

class TagCodeApi extends BaseCurdApi {
  getQrData = (tagId) => this.api({
    url: `${this.basePath}/preview/${tagId}`,
    method: 'GET'
  })

  setCode = (data) => this.api({
    url: `${this.basePath}/coding`,
    method: 'POST',
    data
  })

  print = data => this.api({
    url: `${this.basePath}/send`,
    method: 'POST',
    data
  })

  constructor () {
    super('/print/code')
  }
}

export default new TagCodeApi()
