import BaseCurdEntry from './BaseCurdEntry'

import tagNullifyApi from '@@/api/TagNullifyApi'

import DataTimeRange from '@@/utils/DataTimeRange'

import TagType from './TagType'

export default class TagNullify extends BaseCurdEntry {
    static $$getQuery = () => ({
      ...(new DataTimeRange({
        unit: 'Date',
        diff: 7,
        offset: 0
      })),
      order: [['createTime', 'DESC']]
    })

    static get $$name () {
      return 'TagNullify'
    }

    static get $$api () {
      return tagNullifyApi
    }

    static $$optionTargetConfigGroup = [
      [{
        Target: TagType
      }]
    ]

      static $$optionData = {}
}
