import Constant from './Constant'

export default {
  computed: {
    $$Constant: () => Constant
  },
  methods: {
    $$request (api, ...args) {
      const promise = api(...args)
      this.$$apiCtrls.push(promise)
      return new Promise((resolve, reject) => {
        promise.then(resolve).catch(reject).finally(() => {
          const { $$apiCtrls } = this
          const index = $$apiCtrls.indexOf(promise)
          if (index > -1) {
            $$apiCtrls.splice(index, 1)
          }
        })
      })
    },
    removeApiCtrls () {
      const { $$apiCtrls } = this
      for (let apiCtrl; (apiCtrl = $$apiCtrls.shift());) {
        const { abort } = apiCtrl
        typeof abort === 'function' && abort()
      }
    }
  },
  created () {
    this.$$apiCtrls = []
  },
  beforeDestroy () {
    this.removeApiCtrls()
  }
}
